html, body {
	/* font-family: 'DINPro Light', Roboto, sans-serif; */
	font-family: Bahnschrift, 'Trebuchet MS', sans-serif;
	font-size: 15px;
	margin: 0;
}

body {
	overflow-y: scroll;
	/* --maincolor: #CC0033; */
	--maincolor: #0EA7A6;
	--buttoncolor: #CC0033;
	--pagewidth: 1280px;
}

/***************************************** select, input, label, button *****************************************/
label {
	align-self: center;
	margin: 0;
}

button, input, textarea, select {
	font-size: 1rem;
	padding: 0.375rem;
	margin: 0.2rem;
	border: 1px solid var(--maincolor);
	/* border: 1px solid var(--buttoncolor); */
	border-radius: 0.3rem;
	font-family: Bahnschrift, 'Trebuchet MS', sans-serif;
}

button, input[type=submit] {
	color: white;
	border: 1px solid var(--buttoncolor);
	background-color: var(--buttoncolor);
	cursor: pointer;
	font-size: 1.2rem;
}

button:hover, input:hover, textarea:hover, select:hover {
	border: 1px solid black;
	box-shadow: inset 0 0 0.2rem #333;
}

select:not([multiple], [size])  {
	appearance: none;
	background: url("/images/select-arrow.png") no-repeat right;
	background-size: contain;
	background-color: white;
	padding-right: 2rem;
}

a {
	text-decoration: none;
	color: var(--maincolor);
}

a:hover {
	text-decoration: underline;
}

pre {
	white-space: pre-wrap;
	word-wrap: break-word;
}

/***************************************** Klasy *****************************************/

.vert_center {
	align-self: center;
}

.text_center {
	text-align: center;
}

.flex_row {
	display: flex;
	flex-direction: row;
}

.flex_column {
	display: flex;
	flex-direction: column;
}

.flex_wrap {
	display: flex;
	flex-wrap: wrap;
}

.szeroki_header {
	text-transform: uppercase;
	letter-spacing: 0.2rem;
	color: var(--maincolor);
}

/******************************************** Rozmiary *************************************/
@media screen and (max-width: 1366px) {
	html, body {
		font-size: 14px;
	}
	body {
		--pagewidth: 1200px;
	}
}

@media screen and (max-width: 1200px) {
	html, body {
		font-size: 13px;
	}
	body {
		--pagewidth: 100vw;
	}
}

@media screen and (max-width: 900px) {
	html, body {
		font-size: 12px;
	}
}
